<template>
    <div class="addSubject">
        <a class="backBtn" @click="onBack">
            <md-icon class="md-primary">chevron_left</md-icon>
            <span class="md-title">กลับ</span>
        </a>
        <h1>เพิ่มรายวิชา</h1>
        <div class="addSubjectForm">
            <md-field :class="subjectNameError">
                <label><md-icon>article</md-icon> ชื่อวิชา </label>
                <md-input v-model="subject.name" required></md-input>
                <span class="md-error" v-if="subjectRequired.name">ต้องป้อนชื่อวิชา</span>
            </md-field>

            <md-field>
                <label><md-icon>menu_book</md-icon> รหัสวิชา </label>
                <md-input v-model="subject.id"></md-input>
            </md-field>

            <div>
                <md-radio v-model="subject.type" value="ทฤษฎี">ทฤษฎี</md-radio>
                <md-radio v-model="subject.type" value="ปฏิบัติ">ปฏิบัติ</md-radio>
                <md-radio v-model="subject.type" value="ทฤษฎี/ปฏิบัติ">ทฤษฎี/ปฏิบัติ</md-radio>
            </div>
            
            <md-field :class="subjectDayError">
                <label><md-icon>schedule</md-icon> วันที่เรียน </label>
                <md-select v-model="subject.day" name="day" id="day" required>
                    <md-option value="จันทร์">จันทร์</md-option>
                    <md-option value="อังคาร">อังคาร</md-option>
                    <md-option value="พุธ">พุธ</md-option>
                    <md-option value="พฤหัสบดี">พฤหัสบดี</md-option>
                    <md-option value="ศุกร์">ศุกร์</md-option>
                </md-select>
                <span class="md-error" v-if="subjectRequired.day">ต้องเลือกวันที่เรียน</span>
            </md-field>

            <div class="studyTime">
                <p class="md-body1">เริ่มเรียน</p>

                <div class="md-layout-item md-small-size-40">
                    <md-field>
                        <md-input v-model="subject.startTime" placeholder="ตัวอย่าง: 08.00"></md-input>
                    </md-field> 
                </div>

                <p class="md-body1">ถึง</p>

                <div class="md-layout-item md-small-size-40">
                    <md-field>
                        <md-input v-model="subject.endTime" placeholder="ตัวอย่าง: 12.00"></md-input>
                    </md-field> 
                </div>
            </div>

            <md-field>
                <label><md-icon>person</md-icon> ชื่อผู้สอน </label>
                <md-input v-model="subject.teacher"></md-input>
            </md-field>

            <md-field>
                <label><md-icon>contact_phone</md-icon> เบอร์ติดต่อ </label>
                <md-input v-model="subject.phone"></md-input>
            </md-field>

            <md-field>
                <label><md-icon>work</md-icon> ช่องทางการเรียน/สถานที่ </label>
                <md-input v-model="subject.location"></md-input>
            </md-field>

            <md-field>
                <label><md-icon>info</md-icon> หมายเหตุ </label>
                <md-input v-model="subject.note"></md-input>
            </md-field>

            <div style="display: flex; justify-content: center;">
                <v-swatches v-model="subject.color" inline></v-swatches>
            </div>

            <md-button class="md-raised md-primary addBtn" @click="addSubject">เพิ่มรายวิชา</md-button>
        </div>
    </div>
</template>


<script>
import VSwatches from 'vue-swatches'

export default {
    name: 'AddSubject',
    metaInfo: {
        title: 'เพิ่มรายวิชา'
    },
    components: {
        VSwatches
    },
    data() {
        return {
            subjectRequired: {
                name: false,
                day: false
            },
            subject: {
                name: '',
                id: '',
                type: 'ทฤษฎี',
                day: '',
                startTime: '',
                endTime: '',
                teacher: '',
                phone: '',
                location : '',
                note: '',
                color: '#1FBC9C'
            }
        }
    },
    methods: {
        onBack() {
            this.$router.replace('/')
        },
        addSubject() {
            if(this.subject.name === '') this.subjectRequired.name = true
            else this.subjectRequired.name = false

            if(this.subject.day === '') this.subjectRequired.day = true
            else this.subjectRequired.day = false
        }
    },
    computed: {
        subjectNameError() {
            return { 'md-invalid': this.subjectRequired.name }
        },
        subjectDayError() {
            return { 'md-invalid': this.subjectRequired.day }
        }
    }
}
</script>

<style lang="scss" scoped>
.backBtn {
    display: inline-flex;
    align-items: center;
}
.backBtn:hover {
    text-decoration: none;
    cursor: pointer;
}

h1 {
    font-size: 2.5rem;
}

.studyTime {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.addBtn {
    width: 100%;
    padding: 0;
    margin: 0;
    margin-top: 1rem;
}
</style>